Subject: bug#65769: greetd-wlgreet-sway-session result is blinking cursor

From: chris <[email-masked]>
Date: Tue, 5 Sep 2023 20:04:10 -0700

Hello and thank you in advance for reading me. When defining wlgreet-sway-session in my system config, the result is a blinking cursor. There is no login screen. To login or issue any command, it is necessary to switch to a different tty with something like Alt+fn+F2.

In irc, I messaged the user who created greetd-wlgreet-sway-session and it seems other users have encountered the blinking cursor and no one knows of a solution. If possible, I would like help troubleshoot and resolve the issue.

My config file is here,
https://raw.githubusercontent.com/iambumblehead/guix-home/main/guix.system.scm

```bash
$ sudo tail -5 /var/log/greetd-1.log
2023-09-05 18:59:22 error: check_children: greeter exited without creating a session
2023-09-05 18:59:23 error: check_children: greeter exited without creating a session
2023-09-05 18:59:24 error: check_children: greeter exited without creating a session
2023-09-05 18:59:25 error: check_children: greeter exited without creating a session
2023-09-05 18:59:27 error: check_children: greeter exited without creating a session
```

I've tried defining some XDG vars in /home/greeter/.profile and sometimes this causes error messages to appear above the blinking cursor, but no positive result.

Please anyone feel free to give advice or suggest any things that I might try.